<script lang="ts">
	import type { Value } from "./Value";

	export let value: Value;
</script>

{#if value.U16 != null}
	<span class="u16">{value.U16}</span>
{:else if value.I16 != null}
	<span class="i16">{value.I16}</span>
{:else if value.I32 != null}
	<span class="i32">{value.I32}</span>
{:else if value.Float != null}
	<span class="float">{value.Float}</span>
{:else}
	UNKNOWN: {JSON.stringify(value)}
{/if}

<style lang="sass">
	.u16
		color: green
	.i16
		color: blue
	.i32
		color: red
	.float
		color: purple
</style>
